Package org.apache.tapestry5.ioc.internal

## Class AbstractMethodInvokingInstrumenter

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.AbstractMethodInvokingInstrumenter

- Direct Known Subclasses:
    `ServiceAdvisorImpl`, `ServiceDecoratorImpl`

      public class AbstractMethodInvokingInstrumenter
      extends Object

  Base class for service decorators and service advisors that work by invoking a module method.
  Since:
    5.1.0.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Method` | `method` |
    `protected Map<Class,​Object>` | `resourcesDefaults` |
    `protected String` | `serviceId` |
    `protected Class` | `serviceInterface` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractMethodInvokingInstrumenter​(ModuleBuilderSource moduleSource, Method method, ServiceResources resources, PlasticProxyFactory proxyFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `invoke​(InjectionResources injectionResources)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resourcesDefaults

          protected final Map<Class,​Object> resourcesDefaults

    - #### method

          protected final Method method

    - #### serviceInterface

          protected final Class serviceInterface

    - #### serviceId

          protected final String serviceId

  - ### Constructor Detail

    - #### AbstractMethodInvokingInstrumenter

          public AbstractMethodInvokingInstrumenter​(ModuleBuilderSource moduleSource,
                                                    Method method,
                                                    ServiceResources resources,
                                                    PlasticProxyFactory proxyFactory)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### invoke

          protected Object invoke​(InjectionResources injectionResources)